SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004541SOGoWeb Mailpublic2018-09-13 11:302019-03-29 07:01
ReporterThomasRZ 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityrandom
StatusfeedbackResolutionreopened 
Platform[Server] LinuxOSUbuntuOS Version16.04 LTS
Product Version4.0.2 
Target VersionFixed in Version4.0.5 
Summary0004541: collapsing/expanding mail accounts sometimes results in only displaying 3 folders
Descriptionsee above
Steps To Reproduceopen the mail module and collapse the default mail account

now try to expand the mail account again

most of the times 0000040:0000075% it only displays the first 3 folders ( Inbox, Drafts, Sent )
but the scrollbar will be visible as if there were all folders present.

If you resize or reload the browser window, all folders will immediately be displayed
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2018-09-13 17-23-59.png [^] (8,382 bytes) 2018-09-13 11:30


png file icon sogo-imap-acc-bug.png [^] (19,782 bytes) 2019-03-29 07:00

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0013176)
ThomasRZ (reporter)
2018-11-13 11:33

Any ideas? Clearly just a display problem.
Even more annoying when using multiple imap accounts.

Same problem with firefox and chrome
(0013504)
ThomasRZ (reporter)
2019-03-29 07:00
edited on: 2019-03-29 07:01

There is still an issue where not all folders are displayed.
Tested under SOGo Version 4.0.7-1 and Firefox 66

To reproduce:
- have multiple Mail-Accounts configured in SOGo-Webinterface
- collapse all
- expand the bottom acc
- then expand the top acc
- finally collapse the bottom acc

You can scroll through your folders, but some of them at the bottom are not displayed.
Resizing the window fixes the bug.


- Related Changesets
sogo: master c1ed49d4
Timestamp: 2018-11-13 14:59:09
Author: francis
Details ] Diff ]
(js) Fix handling of collapsed/expanded accounts

Fixed 0004541
mod - NEWS Diff ] File ]
mod - UI/Templates/MailerUI/UIxMailMainFrame.wox Diff ] File ]
mod - UI/WebServerResources/js/Mailer/Account.service.js Diff ] File ]
mod - UI/WebServerResources/js/Mailer/MailboxesController.js Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-09-13 11:30 ThomasRZ New Issue
2018-09-13 11:30 ThomasRZ File Added: Screenshot from 2018-09-13 17-23-59.png
2018-11-13 11:33 ThomasRZ Note Added: 0013176
2018-11-13 14:59 francis Changeset attached => sogo master c1ed49d4
2018-11-13 14:59 francis Assigned To => francis
2018-11-13 14:59 francis Resolution open => fixed
2018-11-13 15:00 francis Status new => resolved
2018-11-13 15:00 francis Fixed in Version => 4.0.5
2019-01-17 08:13 ThomasRZ Note Added: 0013262
2019-01-17 08:13 ThomasRZ Status resolved => feedback
2019-01-17 08:13 ThomasRZ Resolution fixed => reopened
2019-01-17 08:13 ThomasRZ Note Edited: 0013262 View Revisions
2019-03-06 07:11 ThomasRZ Note Deleted: 0013262
2019-03-06 07:12 ThomasRZ Note Added: 0013428
2019-03-06 07:12 ThomasRZ Status feedback => assigned
2019-03-06 09:08 francis Status assigned => resolved
2019-03-06 09:08 francis Resolution reopened => fixed
2019-03-29 07:00 ThomasRZ Note Added: 0013504
2019-03-29 07:00 ThomasRZ Status resolved => feedback
2019-03-29 07:00 ThomasRZ Resolution fixed => reopened
2019-03-29 07:00 ThomasRZ File Added: sogo-imap-acc-bug.png
2019-03-29 07:01 ThomasRZ Note Edited: 0013504 View Revisions
2019-03-29 11:36 ThomasRZ Note Deleted: 0013428


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker